$(document).ready(function(){
	
	$('#submit_button').click(function(){
		Check_Rank();
	});
	
	
	$('input[name=website]').keypress(function(event) {
		if (event.keyCode == '13') {
			Check_Rank();
		}
	});
	
	
	$('input[name=keywords]').keypress(function(event) {
		if (event.keyCode == '13') {
			Check_Rank()
		}
	});
	
	
});

function Check_Rank()
{
	if($('input[name=website]').val() != "" && valid_url($('input[name=website]').val()))
		{
			if($('input[name=keywords]').val() != "")
			{
				$('#submit_button').hide();
				$('#loading').fadeIn();
				$('#error').html('');
				$('#results').slideUp();
				$.post("results.php", { url: $('input[name=website]').val(), keywords: $('input[name=keywords]').val() },
				   function(data){
					 $('#submit_button').show();
					 $('#loading').hide();
					 $('#results').html(data);
					 $('#results').slideDown();
					 $('#error').html('');
				   });
			}
			else
			{
				$('#results').slideUp();
				$('#error').html('<p>Please enter valid Keyword(s)</p>');
			}
		}
		else
		{
			$('#results').slideUp();
			$('#error').html('<p>Please enter a valid URL</p>');
		}
}

function valid_url(url) {
     var theurl=url;
     var tomatch= /[A-Za-z0-9\.-]{3,}\.[A-Za-z]{3}/
     if (tomatch.test(theurl))
     {
         return true;
     }
     else
     {
         return false; 
     }
}

